Retrieve all orders

This request retrieves all open purchase orders and purchase orders closed and canceled within the last 30 days and their relevant details.

Use the appropriate query parameters to filter the purchase orders in the returned list.
All query parameters are optional.

Calls to this endpoint return 50 purchase orders by default.
You can specify a minimum of 1 order and a maximum of 100 orders per API call.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Walmart-issued unique identifier of the purchase order.

string

Unique identifier of the host purchase order that created this purchase order.

string
enum

Walmart-issued purchase order code that identifies the purchase order type.

Valid values include, but are not limited to:

ValueMeaning
3GENERAL DISTRIBUTION
7GENERAL SHIP BILL
20REBUY REGULAR
22REBUY SEASONAL
33ASSEMBLY DISTRIBUTION
37ASSEMBLY SHIP AND BILL
40IMPORT REBUY REGULAR
42IMPORT REBUY SEASONAL
43IMPORT DISTRIBUTION
53TAB DISTRIBUTION
73STORE REPLN DISTRIBUTION
77FITSPRO
string
enum

Status of the purchase order.

Valid values are:

ValueMeaning
ACTIVEStatus of a newly created purchase order that has not yet been fulfilled. Suppliers can request edits to purchase orders when in active status.
CANCELLEDStatus of the purchase order that is no longer in progress, but none of the purchase order lines have been fulfilled by the supplier.
CLOSEDStatus of the purchase order that is no longer in progress and the lines in the purchase order have been fulfilled.
SPLIT_IMPORTIndicates the import order was split up into smaller orders.
Allowed:
string

Status of the purchase order in the supply chain.

Valid values for domestic and distribution center purchase orders are:

ValueMeaning
CANCELLEDIndicates the order was cancelled.
CLOSEDIndicates the order was closed.
OPENIndicates the order was opened.
RECEIVEDIndicates the order was received.

Valid values for import purchase orders are:

ValueMeaning
AT_PORTIndicates the order is at a port.
CANCELLEDIndicates the order was cancelled.
CLOSEDIndicates the order was closed.
GATED_INIndicates a container has been unloaded from a ship and moved to an internal storage space in the distribution center (DC). In the DC, containers are initially stored in an external storage space (gated out) and later moved to an internal storage space (gated in).
RECEIVEDIndicates the order was received.
SAILING_MESSAGEIndicates the cargo is sailing on the ship.
string

Returns purchase orders created after the specified date and time.

string

Returns purchase orders created before the specified date and time.

string

Returns purchase orders that must arrive after the specified date and time.

string

Returns purchase orders that must arrive before the specified date and time.

string

Limits the number of returned results. Valid values are 1-100.

string

Indicates a value that allows users to retrieve the next set of records in the query response.

nextCursor is the preferred pagination mechanism for this API.

Headers
string

Identifier that tracks the consumer request by channel.

Use the consumer channel type provided by Walmart during your onboarding.
See your system administrator or developer management for the WM_CONSUMER.CHANNEL.TYPE value.

string
required

Unique identifier for each API call, used to track and debug issues.

string
required

Access token returned by the Create access token request.

Required for token-based authentication.

Responses

204

No data. No Content. The Purchase Order ID does not exist or no access exists.

400

Bad payload conditions.

  • Validation errors createdAfter date earlier than createdBefore results
  • Validation errors Limit cannot be greater than 100
  • Validation errors Invalid purchase order status
  • Validation errors type must be a number
  • Validation errors hostPurchaseOrderId must be a number
  • Validation errors Invalid purchase order Supply chain status
500

Internal Server Error.

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json